Bug 1437871 (CVE-2017-7377)

Summary: CVE-2017-7377 Qemu: 9pfs: host memory leakage via v9fs_create
Product: [Other] Security Response Reporter: Prasad J Pandit <ppandit>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: ailan, amit, apevec, areis, ayoung, berrange, cfergeau, chrisw, cvsbot-xmlrpc, ddepaula, drjones, dwmw2, imammedo, itamar, jen, jjoyce, jschluet, kbasil, knoel, lhh, lpeer, markmc, m.a.young, mkenneth, mrezanin, mst, pbonzini, rbryant, rjones, rkrcmar, sclewis, srevivo, tdecacqu, virt-maint, virt-maint, vkuznets, xen-maint
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 03:09:45 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1437872, 1437873    
Bug Blocks: 1434851    

Description Prasad J Pandit 2017-03-31 11:49:09 UTC
Quick Emulator(Qemu) built with the virtio-9p back-end support is vulnerable
to a memory leakage issue. It could occur while doing a I/O operation via
v9fs_create/v9fs_lcreate routine.

A privileged user/process inside guest could use this flaw to leak host memory
resulting in Dos.

Upstream patch:
---------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2017-03/msg05449.html

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2017/04/03/2

Comment 1 Prasad J Pandit 2017-03-31 11:49:47 UTC
Acknowledgments:

Name: Li Qiang (360.cn Inc.)

Comment 2 Prasad J Pandit 2017-03-31 11:51:14 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1437873]

Comment 3 Prasad J Pandit 2017-03-31 11:51:36 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1437872]

Comment 4 Fedora Update System 2017-07-25 21:24:26 UTC
qemu-2.7.1-7.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.